Bug 242339 - openbox depends on gnome-session
openbox depends on gnome-session
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openbox (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-03 09:41 EDT by Miroslav Lichvar
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 3.3.1-7.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-04 22:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lichvar 2007-06-03 09:41:42 EDT
Description of problem:
openbox depends on /usr/share/gnome/wm-properties which is provided by
gnome-session. Installing openbox will install also many unnecessary packages.

openbox used to own the directory, that's probably better than depending on
gnome-session. There might be an even better solution.

Version-Release number of selected component (if applicable):
openbox-3.3.1-6.fc7

Steps to Reproduce:
1. yum install openbox
  
Actual results:
gnome-session installed.

Expected results:
Not installed.

Additional info:
Comment 1 Peter Gordon 2007-06-04 22:28:19 EDT
One final bugfix release before I stop hacking on Openbox stuff. :)

I'll push a new release shortly that should fix this. Thanks for your bug report.
Comment 2 Peter Gordon 2007-06-04 22:45:54 EDT
Openbox 3.3.1-7.fc8 with the next Rawhide push will now own the directory
instead of requiring gnome-session. Thanks for the catch!

Note You need to log in before you can comment on or make changes to this bug.